Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface Position

All Known Implementing Classes:
  PositionImpl

    public interface Position

A sequence of decimals numbers which when written on a width are a sequence of coordinate positions. The width is derived from the CRS or coordinate dimension of the container.

-----------------------------------------------------------------------

Version:
  5.6.2001
Author:
  Andreas Poth

Method Summary
`double` | `getAccuracy()` returns the accuracy the position is defined.
`double[]` | `getAsArray()` NOTE: The returned array always has a length of 3, regardless of the dimension.
`javax.vecmath.Point3d` | `getAsPoint3d()`
`int` | `getCoordinateDimension()`
`double` | `getX()`
`double` | `getY()`
`double` | `getZ()`
`void` | `setAccuracy(double accuracy)`
`void` | `translate(double[] d)` translates the coordinates of the position.

Method Detail

### getX

    double getX()

  Returns:
    the x-value of the point

### getY

    double getY()

  Returns:
    the y-value of the point

### getZ

    double getZ()

  Returns:
    the z-value of the point

### getCoordinateDimension

    int getCoordinateDimension()

  Returns:
    the coordinate dimension of the position

### getAsArray

    double[] getAsArray()

  NOTE: The returned array always has a length of 3, regardless of the dimension. This is due to a limitation in the coordinate transformation package (proj4), which expects coordinates to have 3 dimensions.

  Returns:
    the x- and y-value of the point as a two dimensional array the first field contains the x- the second field the y-value.

### translate

    void translate(double[] d)

  translates the coordinates of the position.

  Parameters:
    `d` - the first coordinate of the position will be translated by the first field of `d` the second coordinate by the second field of `d` and so on...

### getAccuracy

    double getAccuracy()

  returns the accuracy the position is defined. The accuracy is measured in values of the CRS the positions coordinates are stored

  Returns:
    the accuracy the position is defined

### setAccuracy

    void setAccuracy(double accuracy)

  Parameters:
    `accuracy` -
  See Also:
    `getAccuracy()`

### getAsPoint3d

    javax.vecmath.Point3d getAsPoint3d()

  Returns:
    the position as a point3d

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org